# CAM

```
vec3 GET_GAMEPLAY_CAM_COORD()
vec3 GET_GAMEPLAY_CAM_ROT(int rotationOrder)
float GET_GAMEPLAY_CAM_RELATIVE_HEADING()
float GET_GAMEPLAY_CAM_RELATIVE_PITCH()
Cam CREATE_CAM(string camName, bool p1)
bool DOES_CAM_EXIST(Cam cam)
void SET_CAM_ACTIVE(Cam cam, bool active)
bool IS_CAM_ACTIVE(Cam cam)
void SET_CAM_FOV(Cam cam, float fieldOfView)
void SET_CAM_ROT(Cam cam, float rotX, float rotY, float rotZ, int rotationOrder)
void SET_CAM_COORD(Cam cam, float posX, float posY, float posZ)
void RENDER_SCRIPT_CAMS(bool render, bool ease, int easeTime, bool p3, bool p4, Any p5)
void DESTROY_CAM(Cam cam, bool netMissionEntity)
void SHAKE_CAM(Cam cam, string type, float amplitude)
vec3 GET_FINAL_RENDERED_CAM_ROT(int rotationOrder)
vec3 GET_FINAL_RENDERED_CAM_COORD()
void SET_CAM_PARAMS(Cam cam, float posX, float posY, float posZ, float rotX, float rotY, float rotZ, float fieldOfView, Any p8, int p9, int p10, int p11)
void STOP_CAM_SHAKING(Cam cam, bool p1)
void ATTACH_CAM_TO_ENTITY(Cam cam, Entity entity, float xOffset, float yOffset, float zOffset, bool isRelative)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cherax.vip/lua-documentation/api-reference/natives/cam.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
